=== debian/changelog ===
haskell-hxt-relaxng (9.0.0-2build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Feb 2011 19:13:41 +0100

haskell-hxt-relaxng (9.0.0-2) unstable; urgency=low

  * debian/control:
    - add Build-Depends: haskell-hxt (>= 9)
    - add Build-Depends: haskell-hxt-charproperties, haskell-hxt-xml-schema
      (Closes: #603307)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 14 Nov 2010 10:59:23 +0900

haskell-hxt-relaxng (9.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601842)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 20:10:30 +0900
