=== debian/control ===
Source: haskell-hxt-relaxng
Section: haskell
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc6,
	ghc6-prof,
	ghc6-doc,
	libghc6-hxt-dev (>= 9), libghc6-hxt-dev (<< 10),
	libghc6-hxt-prof (>= 9), libghc6-hxt-prof (<< 10),
	libghc6-hxt-doc (>= 9), libghc6-hxt-doc (<< 10),
	libghc6-hxt-charproperties-dev,
	libghc6-hxt-charproperties-prof,
	libghc6-hxt-charproperties-doc,
	libghc6-hxt-regex-xmlschema-dev,
	libghc6-hxt-regex-xmlschema-prof,
	libghc6-hxt-regex-xmlschema-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc6-hxt-relaxng-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The HXT RelaxNG validator
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hxt-relaxng-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The HXT RelaxNG validator; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hxt-relaxng-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The HXT RelaxNG validator; documentation
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the library documentation.
