## haskell-hxt-relaxng 9.1.1

=== debian/changelog ===
haskell-hxt-relaxng (9.1.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Jun 2011 10:26:32 +0100

haskell-hxt-relaxng (9.1.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * New upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 11:05:13 +0900
