## haskell-hxt-relaxng 9.1.2

=== debian/changelog ===
haskell-hxt-relaxng (9.1.2-1build1) oneiric; urgency=low

  * Rebuild for new libghc-hxt-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Jun 2011 12:40:24 +0100

haskell-hxt-relaxng (9.1.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.2 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 11:33:06 +0900
