=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	libghc-hxt-regex-xmlschema-dev,
 	libghc-hxt-regex-xmlschema-prof,
 	libghc-hxt-regex-xmlschema-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 
 Package: libghc-hxt-relaxng-dev
