## haskell-hxt-relaxng 9.1.3

=== debian/changelog ===
haskell-hxt-relaxng (9.1.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 10:57:22 +0900
