=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	ghc,
 	ghc-prof,
 	ghc-doc,
-	libghc-hxt-dev (>= 9), libghc-hxt-dev (<< 10),
-	libghc-hxt-prof (>= 9), libghc-hxt-prof (<< 10),
-	libghc-hxt-doc (>= 9), libghc-hxt-doc (<< 10),
+	libghc-hxt-dev (>= 9.1.3), libghc-hxt-dev (<< 10),
+	libghc-hxt-prof (>= 9.1.3), libghc-hxt-prof (<< 10),
+	libghc-hxt-doc (>= 9.1.3), libghc-hxt-doc (<< 10),
 	libghc-hxt-charproperties-dev,
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,
