=== debian/control ===
Source: haskell-hxt-relaxng
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9),
	haskell-devscripts (>= 0.8.15),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-hxt-dev (>= 9.1.3), libghc-hxt-dev (<< 10),
	libghc-hxt-prof (>= 9.1.3), libghc-hxt-prof (<< 10),
	libghc-hxt-doc (>= 9.1.3), libghc-hxt-doc (<< 10),
	libghc-hxt-charproperties-dev,
	libghc-hxt-charproperties-prof,
	libghc-hxt-charproperties-doc,
	libghc-hxt-regex-xmlschema-dev,
	libghc-hxt-regex-xmlschema-prof,
	libghc-hxt-regex-xmlschema-doc,
Standards-Version: 3.9.4
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-relaxng-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}
