=== debian/changelog ===
haskell-hxt-relaxng (9.1.5.5-8build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:16:09 +0000

haskell-hxt-relaxng (9.1.5.5-8build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 09:06:23 +0100

haskell-hxt-relaxng (9.1.5.5-8) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:27 -0400

haskell-hxt-relaxng (9.1.5.5-7) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:11:46 -0400

haskell-hxt-relaxng (9.1.5.5-6) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:38 -0500

haskell-hxt-relaxng (9.1.5.5-5) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:58 +0200

haskell-hxt-relaxng (9.1.5.5-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:45 +0200

haskell-hxt-relaxng (9.1.5.5-3) unstable; urgency=medium

  * Pass gcc-min-expand on mips (Closes: #783126). Thanks to Dejan Latinovic
    for the patch.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 11:02:58 +0200

haskell-hxt-relaxng (9.1.5.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:56 +0200

haskell-hxt-relaxng (9.1.5.5-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 13:03:27 +0200

haskell-hxt-relaxng (9.1.4-5) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:05 +0100
