=== debian/control ===
Source: haskell-hxt-relaxng
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-hxt-charproperties-dev (<< 10),
 libghc-hxt-charproperties-dev (>= 9),
 libghc-hxt-charproperties-prof,
 libghc-hxt-dev (<< 10),
 libghc-hxt-dev (>= 9.1.3),
 libghc-hxt-prof,
 libghc-hxt-regex-xmlschema-dev (<< 10),
 libghc-hxt-regex-xmlschema-dev (>= 9.2),
 libghc-hxt-regex-xmlschema-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-dev (>= 2.1),
 libghc-parsec3-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-network-uri-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hxt-relaxng
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hxt-relaxng-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}
